/* Language selector */
.language-selector {
  position: fixed;
  top: 15px;
  right: 20px;
  z-index: 1010; /* Above fixed menu */
  background: rgba(255, 255, 255, 0.9);
  padding: 5px;
  border-radius: 4px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.language-selector select {
  padding: 5px;
  font-size: 14px;
}

/* Ajuste para o container do botão */
.button-container {
  position: fixed;
  padding-top: 5px;
  top: 10px; /* Mesma posição vertical do menu */
  left: 50%;
  transform: translateX(-50%);
  z-index: 1010; /* Acima do mapa, abaixo do menu */
  display: flex;
  justify-content: center;
}

/* Ajuste para o container do botão */
.button-container-2 {
  z-index: 1010; /* Acima do mapa, abaixo do menu */

  justify-content: center;
}

/* Ajuste para o botão */
.modern-button {
  background: #66CC00;;
  color: black;
  border: none;
  padding: 8px 20px; /* Reduzi um pouco o padding */
  font-size: 17px;
  font-family: "GreenpeaceSans", "Work Sans", "Segoe UI", sans-serif;
  border-radius: 10px;
  cursor: pointer;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 1px;
  margin: 0; /* Removi a margem */
  outline: none;
  white-space: nowrap; /* Evita quebra de linha */
}

.modern-button:hover {
  transform: translateY(-2px);
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0.15);
  background: linear-gradient(135deg, #66bb6a, #388e3c);
}

.modern-button:active {
  transform: translateY(1px);
}

@media (max-width: 750px) {
  .centered,
  .lefty,
  .righty,
  .fully {
    width: 90vw;
    margin: 0 auto;
  }

  .language-selector {
    position: fixed;
    bottom: 95.5%;
    left: 83%;
    z-index: 1010;
    background: rgba(255, 255, 255, 0.9);
    padding: 0px;
    border-radius: 4px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  }

  .language-selector select {
    padding: 5px;
    font-size: 14px;
  }

  #header {
    margin: auto;
    width: 100%;
    position: fixed;
    z-index: 5;
  }

  #header h1 {
    margin: 0;
    padding: 2vh 2vw;
    text-align: center;
    font-size: 14px;
  }

  .step h3 {
    font-size: 1.3em;
    line-height: 1;
    margin-bottom: 0.8em;
  }

  .step p {
    font-size: 1em;
    line-height: 1.2;
  }
}
